Redmine - Patch #21245

UI/CSS refinements, part 1
2015-11-16 21:33 - Daniel Ritz

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Description
A few patches for UI/CSS that allow better/easier styling in themes.

e Patches 0001 and 0002:
Replaces all uses of image_tag() to render icons with icon-* definitions. This makes is possible to replace all these icons with
Font-based icons, e.g. FontAwesome.
e Patch 0003:
A unimportant change to use the PDF icon for "Also available in PDF" links
¢ Patch 0004:
Updates pagination to use <ul> and <li> to render the pagination part
¢ Patch 0005:
Building on top of patch 0004, changes pagination to a GitHub like design that also looks and feels nice in responsive mode

Based on r14881, everything passes "rake test" and is tested in Firefox 42, Safari 9 and Chrome 46.

More to come :)

Related issues:

Is duplicate of Redmine - Patch #21256: Use CSS instead of image_tag() to sho... Closed
Is duplicate of Redmine - Patch #21257: Use PDF icon for "Also available in PDF" New

Is duplicate of Redmine - Patch #21258: Use <ul> to do pagination, styling in... Closed
History

#1 - 2015-11-16 21:35 - Daniel Ritz
Btw. also available here: https://github.com/dr-itz/redmine/tree/ui-css-updates

#2 - 2015-11-17 04:26 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Could you separate patches to new issues?
It seems three group [1, 2], [3], [4, 5].

#3 - 2015-11-17 15:42 - Daniel Ritz

Done:
e 1,2: #21256. | folded the two patches into one and also corrected accidental duplicated CSS rules.
e 3: #21257. Same as here.
e 4.5: #21258. With minor correction in positioning, plus screen shot included.

#4 - 2015-11-20 02:22 - Go MAEDA
- Status changed from Needs feedback to Closed

Thanks for creating issues.

#5 - 2015-11-20 02:22 - Go MAEDA
- Is duplicate of Patch #21256: Use CSS instead of image_tag() to show icons for better theming support added

#6 - 2015-11-20 02:23 - Go MAEDA
- Is duplicate of Patch #21257: Use PDF icon for "Also available in PDF" added
https://www.redmine.org/projects/redmine/repository/svn/revisions/14881
https://github.com/dr-itz/redmine/tree/ui-css-updates
https://www.redmine.org/issues/21256
https://www.redmine.org/issues/21257
https://www.redmine.org/issues/21258

#7 - 2015-11-20 02:23 - Go MAEDA

- Is duplicate of Patch #21258: Use <ul> to do pagination, styling in a GitHub like manner with improved handling in responsive mode added

Files

0001-Replace-uses-of-image_tag-with-CSS-part-1-admin.patch 22.7 KB 2015-11-16 Daniel Ritz

0002-Replace-uses-of-image_tag-with-CSS-part-2.patch 22.4 KB 2015-11-16 Daniel Ritz

0003-Use-PDF-icon-for-Also-available-in-PDF.patch 1002 Bytes 2015-11-16 Daniel Ritz

0004-Pagination-use-ul-to-do-pagination-for-better-stylin.patch 12.7 KB 2015-11-16 Daniel Ritz

0005-Pagination-change-to-a-GitHub-like-style.patch 1.72 KB 2015-11-16 Daniel Ritz
